---
sidebar_position: 13
description: Upload file by URL and other functions to work with Yandex Disk in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Yandex Disk]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Upload file by URL
 Downloads a file to disk from the specified URL



`Function UploadFileByURL(Val Token, Val Path, Val Address) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Path | --path | String | &#x2714; | Path to place the downloaded file |
  | Address | --url | String | &#x2714; | File URL |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Yandex



```bsl title="1C:Enterprise/OneScript code example"
    Token   = "y0__xCOranuBRj1uTsgs8z_iRV...";
    Address = "https://hut.openintegrations.dev/test_data/picture.jpg";
    Path    = "/" + String(New UUID) + ".png";

    Result = OPI_YandexDisk.UploadFileByURL(Token, Path, Address);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint yadisk UploadFileByURL \
             --token "***" \
             --path "/84e25434-96fa-4b61-b2dd-4647d4f7f611.png" \
             --url "https://hut.openintegrations.dev/test_data/picture.jpg"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint yadisk UploadFileByURL ^
             --token "***" ^
             --path "/84e25434-96fa-4b61-b2dd-4647d4f7f611.png" ^
             --url "https://hut.openintegrations.dev/test_data/picture.jpg"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "method": "GET",
 "href": "https://cloud-api.yandex.net/v1/disk/operations/a044a80e7584f4af35cc4eebee3e455c3091898c9a35498854ed4b7e4ee8e67c",
 "templated": false
}
```
